package com.yfd.platform.modules.experimentalData.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yfd.platform.modules.storage.model.result.FileItemResult;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 试验任务文档表
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ts_files")
public class TsFiles implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 文档ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 上级节点：顶级：“00”
     */
    private String parentId;

    /**
     * 文件夹、文件区分
     */
    private String isFile;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * M
     */
    private String fileSize;

    /**
     * 工作空间存储路径
     */
    private String workPath;

    /**
     * 备份空间存储路径
     */
    private String backupPath;

    /**
     * 关键字
     */
    private String keywords;

    /**
     * 文件描述
     */
    private String description;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp uploadTime;

    /**
     * 上传人
     */
    private String uploader;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp updateTime;

    /**
     * 备份1
     */
    private String custom1;

    /**
     * 备份2
     */
    private String custom2;

    /**
     * 备份3
     */
    private String custom3;

    /**
     * 访问路径URL：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String url;

    /**
     * 类型 FILE  FOLDER：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String type;

//    /**
//     * 试验任务节点表  FOLDER：TODO 增加用于前端展示
//     */
//    @TableField(exist = false)
//    private List<TsNodes> tsNodesList;



//    /**
//     * 节点顺序
//     */
//    @TableField(exist = false)
//    private Integer nodeOrder;
//
//    /**
//     * 节点名称
//     */
//    @TableField(exist = false)
//    private String nodeName;
//
//    /**
//     * 创建时间
//     */
//    @TableField(exist = false)
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    private Timestamp createTime;
//
//    /**
//     * 创建人
//     */
//    @TableField(exist = false)
//    private String creator;
//
//
    /**
     * 检查本地有而 MinIO 没有的文件
     */
    @TableField(exist = false)
    private  List<FileItemResult> localOnlyFiles;


    /**
     * 检查 MinIO 有而本地没有的文件
     */
    @TableField(exist = false)
    private List<FileItemResult> minioOnlyFiles;


    /**
     * 检查 MD5 不一致的文件
     */
    @TableField(exist = false)
    private List<FileItemResult> md5MismatchedFiles;

}
