package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消息通知
 * </p>
 *
 * @author LiMengNan
 * @since 2023-03-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_message")
public class Message implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "ID")
    private String id;

    /**
     * 创建时间：排序
     */
    @ApiModelProperty(value = "创建时间：排序")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp createtime;

    /**
     * 消息类型：1-定时任务 2-工作流触发 3-人工触发
     */
    @ApiModelProperty(value = "消息类型：1-定时任务 2-工作流触发 3-人工触发")
    private String type;

    /**
     * 消息标题
     */
    @ApiModelProperty(value = "消息标题")
    private String title;

    /**
     * 消息内容
     */
    @ApiModelProperty(value = "消息内容")
    private String content;

    /**
     * 发送者名称，定时器，人员
     */
    @ApiModelProperty(value = "发送者名称，定时器，人员")
    private String senderName;

    /**
     * 接收者代码 人员账号列表
     */
    @ApiModelProperty(value = "接收者代码 人员账号列表 ")
    private String receiverCodes;

    /**
     * 接收者名称：为空 即为所有人，人员名称列表
     */
    @ApiModelProperty(value = "接收者名称：为空 即为所有人，人员名称列表")
    private String receiverNames;

    /**
     * 状态：1、初始创建 2-消息已阅 9-消息过期
     */
    @ApiModelProperty(value = "状态：1、初始创建 2-消息已阅 9-消息过期")
    private String status;

    /**
     * 有效期：小时
     */
    @ApiModelProperty(value = "有效期：小时")
    private Integer validperiod;

    /**
     * 已阅时间
     */
    @ApiModelProperty(value = "已阅时间")
    private Timestamp readtime;

    /**
     * 备用1
     */
    @ApiModelProperty(value = "备用1")
    private String custom1;

    /**
     * 备用2
     */
    @ApiModelProperty(value = "备用2")
    private String custom2;

    /**
     * 备用3
     */
    @ApiModelProperty(value = "备用3")
    private String custom3;

}
