package com.yfd.platform.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yfd.platform.system.domain.SysDictionary;

import java.util.List;

/**
 * <p>
 * 数据字典表 服务类
 * </p>
 *
 * @author LiMengNan
 * @since 2023-03-08
 */
public interface ISysDictionaryService extends IService<SysDictionary> {

    /**********************************
     * 用途说明: 获取数据字典列表
     * 参数说明  dictType 字典类型
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回分页查询结果
     ***********************************/
    List<SysDictionary> getDictList(String dictType);

    /**********************************
     * 用途说明: 新增字典
     * 参数说明  sysDictionary 字典对象
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回增加成功或者失败
     ***********************************/
    boolean addDict(SysDictionary sysDictionary);

    /**********************************
     * 用途说明: 根据ID删除字典
     * 参数说明  id 字典ID
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回删除结果成功或者失败
     ***********************************/
    boolean deleteDictById(String id);

    /**********************************
     * 用途说明: 拖动修改字典顺序
     * 参数说明  fromID 当前ID  toID 到达ID
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回拖动成功或者失败
     ***********************************/
    boolean changeDictOrder(String fromID, String toID);
}
